package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.ObeCourseOutlineCourseTypeEnum;
import com.qmth.distributed.print.business.enums.ObeCourseOutlineEvaluationEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: obe课程大纲查询
 * @Author: CaoZixuan
 * @Date: 2024-06-05
 */
public class ObeCourseOutlineResult {

    @ApiModelProperty("课程大纲id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("课程大纲名称")
    private String outlineName;

    @ApiModelProperty("课程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long courseId;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("课程编码")
    private String courseCode;

    @ApiModelProperty("学分")
    private Integer credit;

    @ApiModelProperty("考核方式")
    private ObeCourseOutlineEvaluationEnum evaluationMode;

    @ApiModelProperty("课程类型")
    private ObeCourseOutlineCourseTypeEnum courseType;

    @ApiModelProperty("学期id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long semesterId;

    @ApiModelProperty("学期名称")
    private String semesterName;

    @ApiModelProperty("培养方式id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long cultureProgramId;

    @ApiModelProperty("培养方式名称")
    private String cultureProgramName;

    @ApiModelProperty("负责人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("负责人名称")
    private String userName;

    @ApiModelProperty("专业id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long professionalId;

    @ApiModelProperty("专业名称")
    private String professionalName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOutlineName() {
        return outlineName;
    }

    public void setOutlineName(String outlineName) {
        this.outlineName = outlineName;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Integer getCredit() {
        return credit;
    }

    public void setCredit(Integer credit) {
        this.credit = credit;
    }

    public ObeCourseOutlineEvaluationEnum getEvaluationMode() {
        return evaluationMode;
    }

    public void setEvaluationMode(ObeCourseOutlineEvaluationEnum evaluationMode) {
        this.evaluationMode = evaluationMode;
    }

    public ObeCourseOutlineCourseTypeEnum getCourseType() {
        return courseType;
    }

    public void setCourseType(ObeCourseOutlineCourseTypeEnum courseType) {
        this.courseType = courseType;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }

    public String getCultureProgramName() {
        return cultureProgramName;
    }

    public void setCultureProgramName(String cultureProgramName) {
        this.cultureProgramName = cultureProgramName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getProfessionalId() {
        return professionalId;
    }

    public void setProfessionalId(Long professionalId) {
        this.professionalId = professionalId;
    }

    public String getProfessionalName() {
        return professionalName;
    }

    public void setProfessionalName(String professionalName) {
        this.professionalName = professionalName;
    }
}
